/* derived from mythtv/libs/libmyth/programinfo.cpp */
#define MYTH_PROTO_TOKEN "3875641D"
#define MYTH_PROTO_VERSION 63

enum {
	F_hdr_0			=  0,	// dunno
	F_hdr_numrecs		=  1,	// number of program records which follow
	F_first_entry		=  2,	// number of header fields

	F_title			=  0,	// "Royal Canadian Air Farce"
	F_subtitle		=  1,	// ""
	F_description		=  2,	// "Political impersonations; unique characters."
	F_category		=  3,	// "Comedy"
	F_chanid		=  4,	// "2041"
	F_chanstr		=  5,	// "25"
	F_chansign		=  6,	// "CBOT-DT"
	F_channame		=  7,	// "HDTV CBC OTTAWA"
	F_pathname		=  8,	// ""
	F_filesize0		=  9,	// "0"
	F_startts		= 10,	// "1228512600"
	F_endts			= 11,	// "1228514400"
	F_findid		= 12,	// "0"
	F_hostname		= 13,	// "duke"
	F_sourceid		= 14,	// "2"
	F_cardid		= 15,	// "0"
	F_inputid		= 16,	// "0"
	F_recpriority		= 17,	// "10"
	F_recstatus		= 18,	// "1"
	F_recordid		= 19,	// "1473"
	F_rectype		= 20,	// "8"
	F_dupin			= 21,	// "15"
	F_dupmethod		= 22,	// "6"
	F_recstartts		= 23,	// "1228512600"
	F_recendts		= 24,	// "1228514400"
	F_programflags		= 25,	// "0"
	F_recgroup		= 26,	// "Default"
	F_chanOutputFilters	= 27,	// ""
	F_seriesid		= 28,	// "EP00085913"
	F_programid		= 29,	// "SH000859130000"
	F_lastmodified		= 30,	// "1228495338"
	F_stars			= 31,	// "0.000000"
	F_originalAirDate	= 32,	// "1993-10-08"
	F_playgroup		= 33,	// "Default"
	F_recpriority2		= 34,	// "0"
	F_parentid		= 35,	// "1412"
	F_storagegroup		= 36,	// "Default"
	F_audioproperties	= 37,	// "1"
	F_videoproperties	= 38,	// "0"
	F_subtitletype		= 39,	// "1"
	F_year			= 40,	// ???
	P63_last_field		= F_year,
};

#if 0
/* schema version 50, 56, 23056 */
void ProgramInfo::ToStringList(QStringList &list) const
{
    char tmp[64];

    STR_TO_LIST(title)
    STR_TO_LIST(subtitle)
    STR_TO_LIST(description)
    STR_TO_LIST(category)
    STR_TO_LIST(chanid)
    STR_TO_LIST(chanstr)
    STR_TO_LIST(chansign)
    STR_TO_LIST(channame)
    STR_TO_LIST(pathname)
    LONGLONG_TO_LIST(filesize)

    DATETIME_TO_LIST(startts)
    DATETIME_TO_LIST(endts)
    INT_TO_LIST(duplicate)
    INT_TO_LIST(shareable)
    INT_TO_LIST(findid);
    STR_TO_LIST(hostname)
    INT_TO_LIST(sourceid)
    INT_TO_LIST(cardid)
    INT_TO_LIST(inputid)
    INT_TO_LIST(recpriority)
    INT_TO_LIST(recstatus)
    INT_TO_LIST(recordid)
    INT_TO_LIST(rectype)
    INT_TO_LIST(dupin)
    INT_TO_LIST(dupmethod)
    DATETIME_TO_LIST(recstartts)
    DATETIME_TO_LIST(recendts)
    INT_TO_LIST(repeat)
    INT_TO_LIST(programflags)
    STR_TO_LIST((!recgroup.isEmpty()) ? recgroup : "Default")
    INT_TO_LIST(chancommfree)
    STR_TO_LIST(chanOutputFilters)
    STR_TO_LIST(seriesid)
    STR_TO_LIST(programid)
    DATETIME_TO_LIST(lastmodified)
    FLOAT_TO_LIST(stars)
    DATE_TO_LIST(originalAirDate)
    INT_TO_LIST(hasAirDate)
    STR_TO_LIST((!playgroup.isEmpty()) ? playgroup : "Default")
    INT_TO_LIST(recpriority2)
    INT_TO_LIST(parentid)
    STR_TO_LIST((!storagegroup.isEmpty()) ? storagegroup : "Default")
    INT_TO_LIST(audioproperties)
    INT_TO_LIST(videoproperties)
    INT_TO_LIST(subtitleType)
    STR_TO_LIST(year)
}
#endif
