#include <sys/types.h>
#include <sys/socket.h>
#include <sys/errno.h>
#include <sys/unistd.h>
#include <sys/wait.h>
#include <arpa/inet.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <netdb.h>
#include <signal.h>
#include <time.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <ctype.h>
#include <fcntl.h>
#include <syslog.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <sys/time.h>
#include <time.h>

// These are in vfd_usb.c:
//
void *vfd_open(void);
void vfd_close(void *);
int vfd_write(void *, char *);
int knob_read(void *);

int
main (int argc, char *argv[])
{
	void *vfd;

	vfd = vfd_open();
	if (!vfd)
		return 0;

	if (argc > 1)
		vfd_write(vfd, argv[1]);
#if 0
	else {
		unsigned int i;
		for (i = 0; i < 256; ++i) {
			char msg[33];
			msg[i % 32] = i;
			if ((i % 32) == 31) {
				msg[32] = '\0';
				vfd_write(vfd, msg);
				sleep(3);
			}
		}
	}
#endif
	vfd_close(vfd);
	return 0;
}
